Package org.eclipse.graphiti.ui.internal.parts.directedit

## Class ContentProposalListener

- java.lang.Object
- - org.eclipse.graphiti.ui.internal.parts.directedit.ContentProposalListener

All Implemented Interfaces:
  `org.eclipse.jface.fieldassist.IContentProposalListener`

    public class ContentProposalListener
    extends java.lang.Object
    implements org.eclipse.jface.fieldassist.IContentProposalListener

### Constructor Summary

Constructors
`ContentProposalListener​(TextCellEditor textCellEditor)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `proposalAccepted​(org.eclipse.jface.fieldassist.IContentProposal proposal)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContentProposalListener

    public ContentProposalListener​(TextCellEditor textCellEditor)

### Method Detail

#### proposalAccepted

    public void proposalAccepted​(org.eclipse.jface.fieldassist.IContentProposal proposal)

Specified by:
  `proposalAccepted` in interface `org.eclipse.jface.fieldassist.IContentProposalListener`